### Method

# Fwupd Client inhibit

since: 1.8.11

#### Declaration [src]

    gchar*
    fwupd_client_inhibit (
      FwupdClient* self,
      const gchar* reason,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Marks all devices as unavailable for update. Update is only available if there is no other inhibit imposed by other applications or by the system (e.g. low power state).

The same application can inhibit the system multiple times.

Available since: 1.8.11

#### Parameters

`reason`

  Type: `const gchar*`

  The inhibit reason, e.g. `user active`

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gchar*`

A string to use for `fwupd_client_uninhibit_async()`, or `NULL` for failure.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.